import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetMaterialBindrListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();

export const contextState: OriginalListParams<GetMaterialBindrListParams> = {
  materialName: '',
  wllbCode: '',
  userName: '',
  realName: '',
  modifyUser: '',
};
export const context = createTableSearchContext(contextState);
